std::__profile::forward_list< _Tp, _Alloc >(3cxx)

NAME
std::__profile::forward_list< _Tp, _Alloc > - Class std::forward_list wrapper with performance instrumentation.

SYNOPSIS

Inherits forward_list< _Tp, std::allocator< _Tp > >.

  Public Types

typedef _Base::const_iterator const_iterator
typedef _Base::size_type size_type

  Public Member Functions

template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> forward_list (_InputIterator __first, _InputIterator __last, const _Alloc &__al=_Alloc())
forward_list (const _Alloc &__al) noexcept
forward_list (const forward_list &)=default
forward_list (const forward_list &__list, const _Alloc &__al)
forward_list (forward_list &&)=default
forward_list (forward_list &&__list, const _Alloc &__al)
forward_list (size_type __n, const _Alloc &__al=_Alloc())
forward_list (size_type __n, const _Tp &__value, const _Alloc &__al=_Alloc())
forward_list (std::initializer_list< _Tp > __il, const _Alloc &__al=_Alloc())
const _Base & _M_base () const noexcept
_Base & _M_base () noexcept
void merge (forward_list &&__list)
template<typename _Comp > void merge (forward_list &&__list, _Comp __comp)
void merge (forward_list &__list)
template<typename _Comp > void merge (forward_list &__list, _Comp __comp)
forward_list & operator= (const forward_list &)=default
forward_list & operator= (forward_list &&)=default
forward_list & operator= (std::initializer_list< _Tp > __il)
void splice_after (const_iterator __pos, forward_list &&__fl)
void splice_after (const_iterator __pos, forward_list &&__list, const_iterator __before, const_iterator __last)
void splice_after (const_iterator __pos, forward_list &&__list, const_iterator __i)
void splice_after (const_iterator __pos, forward_list &__list)
void splice_after (const_iterator __pos, forward_list &__list, const_iterator __before, const_iterator __last)
void splice_after (const_iterator __pos, forward_list &__list, const_iterator __i)
void swap (forward_list &__fl) noexcept(noexcept(declval< _Base & >().swap(__fl)))

Detailed Description

  template<typename _Tp, typename _Alloc = std::allocator<_Tp>>
class std::__profile::forward_list< _Tp, _Alloc >" Class std::forward_list wrapper with performance instrumentation.

Definition at line 44 of file profile/forward_list.

Author

Generated automatically by Doxygen for libstdc++ from the source code.